/*------- blog single item start -------*/
.blog-thumb {
    overflow: hidden;
    &:hover {
        img {
            @include scale(1.06);
        }
    }
}
.blog-single-slide {
    img {
        width: 100%;
    }
}
.blog-post-content {
    .blog-top {
        border-left: 6px solid $black-soft;
        padding-left: 15px;
        margin-bottom: 30px;
        margin-top: 14px;
        .post-date-time {
            span {
                color: $black-soft;
                font-size: 24px;
                font-weight: 700;
                line-height: 24px;
                display: block;
                padding-bottom: 10px;
                text-transform: uppercase;
                // responsive
                @media #{$desktop-device, $tablet-device, $large-mobile} {
                    font-size: 18px;
                }
                @media #{$small-mobile} {
                    font-size: 16px;
                }
            }
        }
        .post-blog-meta {
            p {
                color: $black-soft;
                font-size: 15px;
                font-weight: 300;
                line-height: 15px;
                text-transform: capitalize;
                a {
                    color: $theme-color;
                }
            }
        }
    }
}
.blog-content {
    h4 {
        font-size: 20px;
        font-weight: 600;
        line-height: 24px;
        padding-top: 20px;
        display: block;
        padding-bottom: 5px;
        a {
            color: $black-soft;
            &:hover {
                color: $theme-color;
            }
        }
        // responsive
        @media #{$desktop-device} {
            font-size: 18px;
        }
        @media #{$large-mobile} {
            font-size: 16px;
        }
        @media #{$small-mobile} {
            font-size: 18px;
        }
    }
    p {
        color: $paragraph-light;
        font-size: 15px;
        font-weight: 300;
    }
}
// text white color
.blog-item {
    &.white-text {
        .blog-top {
            border-color: #bdbdbd;
            span {
                color: #bdbdbd;
            }
            p {
                color: #bdbdbd;
            }
        }
        .blog-content {
            a {
                color: $white;
                &:hover {
                    color: $theme-color;
                }
            }
            p {
                color: #bdbdbd;
            }
        }
    }
}
// blog page blog item
.blog-item-single {
    padding: 15px;
    margin-bottom: 30px;
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.1);
    .blog-content {
        h4 {
            color: $black-soft;
            font-size: 24px;
            padding-bottom: 10px;
            // Responsive
            @media #{$extra-small-mobile} {
                font-size: 18px;
            }
        }
        &.blog-details {
            padding: 15px 0;
            blockquote {
                border-left: 5px solid $theme-color;
                margin: 15px;
                background-color: #f7f7f7;
                padding: 15px;
                p {
                    padding-left: 10px;
                }
            }
            h4 {
                font-size: 26px;
                line-height: 34px;
                font-weight: 700;
                text-transform: uppercase;
                // Responsive
                @media #{$small-mobile} {
                    font-size: 22px;
                }
                // Responsive
                @media #{$extra-small-mobile} {
                    font-size: 18px;
                    line-height: 26px;
                }
            }
        }
    }
    .read-more {
        color: $black-soft;
        font-size: 14px;
        margin-top: 10px;
        display: inline-block;
        &:hover {
            color: $theme-color;
            text-decoration: underline;
        }
    }
}
/*------- blog single item end -------*/

